From 2c43934c7dfba603a841a86989cd13ab7ded2e8b Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 09:01:26 -0700
Subject: sa_0.9_compatibility

Patch-Name: sa_0.9_compatibility.patch
---
 elixir/entity.py  | 6 +++---
 elixir/options.py | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/elixir/entity.py b/elixir/entity.py
index 5057457..1f4e5fb 100644
--- a/elixir/entity.py
+++ b/elixir/entity.py
@@ -15,7 +15,7 @@ import sqlalchemy
 from sqlalchemy import Table, Column, Integer, desc, ForeignKey, and_, \
                        ForeignKeyConstraint
 from sqlalchemy.orm import MapperExtension, mapper, object_session, \
-                           EXT_CONTINUE, polymorphic_union, ScopedSession, \
+                           EXT_CONTINUE, polymorphic_union, scoped_session, \
                            ColumnProperty
 from sqlalchemy.sql import ColumnCollection
 
@@ -452,13 +452,13 @@ class EntityDescriptor(object):
         # do the mapping
         if self.session is None:
             self.entity.mapper = mapper(self.entity, *args, **kwargs)
-        elif isinstance(self.session, ScopedSession):
+        elif isinstance(self.session, scoped_session):
             session_mapper = session_mapper_factory(self.session)
             self.entity.mapper = session_mapper(self.entity, *args, **kwargs)
         else:
             raise Exception("Failed to map entity '%s' with its table or "
                             "selectable. You can only bind an Entity to a "
-                            "ScopedSession object or None for manual session "
+                            "scoped_session object or None for manual session "
                             "management."
                             % self.entity.__name__)
 
diff --git a/elixir/options.py b/elixir/options.py
index 9284b04..948b568 100644
--- a/elixir/options.py
+++ b/elixir/options.py
@@ -116,7 +116,7 @@ The list of supported arguments are as follows:
 | ``session``         | Specify a custom contextual session for this entity.  |
 |                     | By default, entities uses the global                  |
 |                     | ``elixir.session``.                                   |
-|                     | This option takes a ``ScopedSession`` object or       |
+|                     | This option takes a ``scoped_session`` object or       |
 |                     | ``None``. In the later case your entity will be       |
 |                     | mapped using a non-contextual mapper which requires   |
 |                     | manual session management, as seen in pure SQLAlchemy.|
